For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
      • POSTList Shortened URLs
      • GETGet Shortened URL
      • POSTCreate Shortened URL
      • PUTUpdate Shortened URL
      • POSTUpload File
      • POSTRefresh File URLs
      • POSTGet Contact Card
      • POSTUpsert Contact Card
LogoLogo
SupportDashboard
API ReferenceTools

Get Contact Card

POST
https://api.pinnacle.sh/tools/contact-card
POST
/tools/contact-card
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tools.contactCard.get({
8 id: "cc_1234567890",
9 });
10}
11main();
1{
2 "addresses": [],
3 "categories": [],
4 "emails": [],
5 "file": {
6 "url": "https://server.pinnacle.sh//storage/v1/example",
7 "metadata": {
8 "expiresAt": null
9 }
10 },
11 "formattedName": "Porter",
12 "id": "cc_1234567890",
13 "name": {
14 "familyName": "Porter",
15 "givenName": "Liam",
16 "additionalNames": [
17 "Liam Porter"
18 ],
19 "honorificPrefixes": [
20 "Mr"
21 ],
22 "honorificSuffixes": []
23 },
24 "phones": [],
25 "revision": "2025-08-15T18:35:42.538+00:00"
26}

Retrieve contact information as a vCard and get a presigned URL to download the file. Contact cards can be sent via MMS as a media file.

Was this page helpful?
Previous

Upsert Contact Card

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
idstringRequired

The unique identifier of the contact. This identifier is a string that always begins with the prefix cc_, for example: cc_1234567890.

optionsobjectOptional

Response

Returns complete contact information.
addresseslist of objects
Physical addresses.
categorieslist of strings
Categories or tags for organizing contacts.
emailslist of objects
Email addresses.
fileobject
File associated to the contact.
formattedNamestring
Full display name for the vCard.
idstring

The unique identifier of the contact. This identifier is a string that always begins with the prefix cc_, for example: cc_1234567890.

nameobject
Structured name components.
phoneslist of objects
Phone numbers.
revisionstring
ISO 8601 timestamp of last vCard update.
birthdaystring or null

Birthday in ISO 8601 date format (YYYY-MM-DD).

geoobject or null
Geographic coordinates.
nicknamelist of strings
Nicknames or aliases.
notestring or null
Additional notes or comments.
organizationobject
Organization or company information.
rolestring or null
Role or function within the organization.
timezonestring or null

Timezone (e.g., “America/New_York”).

titlestring or null
Job title or position.
urlstring or null
Website URL.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error